### Method

# Gtk Widgetset_can_focus

#### Declaration [src]

    void
    gtk_widget_set_can_focus (
      GtkWidget* widget,
      gboolean can_focus
    )

#### Description [src]

Specifies whether the input focus can enter the widget or any of its children.

Applications should set `can_focus` to `FALSE` to mark a widget as for pointer/touch use only.

Note that having `can_focus` be `TRUE` is only one of the necessary conditions for being focusable. A widget must also be sensitive and focusable and not have an ancestor that is marked as not can-focus in order to receive input focus.

See `gtk_widget_grab_focus()` for actually setting the input focus on a widget.

Sets property | `Gtk.Widget:can-focus`

#### Parameters

`can_focus`

  Type: `gboolean`

  Whether or not the input focus can enter the widget or any of its children.